Skip to main content
GET
Get a procedure

Authorizations

Authorization
string
header
required

API key from your account settings

Path Parameters

agentId
string
required

The agent ID

Minimum string length: 1
Example:

"5QHA6VB-DIAbBhxwqxfdi"

procedureId
string<uuid>
required

The procedure ID

Example:

"b1d47c2e-5a3f-4e8b-9c1d-2f6a7b8c9d0e"

Response

The procedure

id
string
required

Procedure ID

name
string
required

Procedure name, unique within the agent

status
enum<string>
required

Whether the agent can run the procedure.

Available options:
enabled,
disabled
trigger
string
required

When the agent should start the procedure

Example:

"The customer asks for a refund"

unavailableActions
string[]
required

Action mentions in the steps, such as @refund_payment, whose action is missing or disabled. While any is listed, the agent skips the procedure. It also skips the procedure on a channel where a mentioned action is switched off.

Example:
steps
object[]
required

The steps in order.